#
# spec file for package php5-pear-Net_URL2
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-Net_URL2
%define pear_name  Net_URL2
%define pear_sname Net_URL2
Summary:        Class for parsing and handling URL
Version:        2.1.0
Release:        4.1
License:        BSD-3-Clause
Group:          Development/Libraries/PHP
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tgz

BuildArch:      noarch
BuildRequires:  php >= 5.1.4
%if 0%{?sles_version} == 10
BuildRequires:  php-macros
%else
BuildRequires:  php-devel >= 5.1.4
%endif
BuildRequires:  php-pear >= 1.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Requires:       php >= 5.1.4
Requires:       php-pear >= 1.4.0

Provides:       php-pear-%{pear_name} pear-%{pear_name}
Provides:       php5-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
Provides parsing of URLs into their constituent parts (scheme, host, path etc.), URL generation, and resolving of relative URLs.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        -d test_dir=%{peardir}/tests \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%files -f %{name}.files
%defattr(-, root, root)
%doc %{pear_name}-%{version}/docs/*

%changelog
* Thu Dec 11 2014 aj@ajaissle.de
- New upstream release 2.1.0
  * New: OPTION_DROP_SEQUENCE
- Release 2.0.12
  * Removed: OPTION_DROP_SEQUENCE
- Release 2.0.11
  * New: OPTION_DROP_SEQUENCE
- Release 2.0.10
  * Imp: composer for pear
  * Fix: Documentation problem
- Release 2.0.9
  * Fixed #20418: Incorrect normalization of URI with missing authority
  * Upd: Test for RFC 3986 Section 1.1.2 Examples
  * Upd: Travis CI - PHP 5.6 added
- Release 2.0.8
  * Fixed #20420: Inconsistent setAuthority and getAuthority
  * Fixed #20423: URI with IPv6 or IPvFuture not parsed
  * Imp: Test for RFC 3986 Section 1.1.2 Examples
- Release 2.0.7
  * Fixed #20385: Incorrect normalization of userinfo
  * Fixed #20399: Setting userinfo to FALSE not transparent
- Release 2.0.6
  * Fixed #20304: file:// URI gets crippled
* Wed May 14 2014 aj@ajaissle.de
- Put a copy of docs/LICENSE and the examples into %%_docdir
* Tue May 13 2014 aj@ajaissle.de
- New upstream release 2.0.5
- Changelog 2.0.5
  * Fixed #17036: Brackets broken for query variables
  * Fixed diverse coding style violations and misc. minor issues
  * Increased code coverage
- Changelog 2.0.4
  * Fixed #20161: URLs with "0" as host fail to normalize with empty path
  * A flaw in NetURL2::removeDotSegments() introduced in 2.0.1 has been fixed
  * New: NetURL2::removeDotSegments() emits a warning on loop limit reach
  * Url-segment maximum count raised from 100 to 256 (loop limit)
- Changelog 2.0.3
  * Fixed #20156: setAuthority() flaw with "0" as host
  * Fixed #20157: normalize() flaw with "0" as path
  * Fixed #20158: Fragment-only references are not resolved to non-absolute base URI
  * Fixed #20159: Authority not terminated by slash
  * Fixed diverse coding style violations and misc. minor issues
  * Increased code coverage
  * Added support for Scrutinizer CI
- Changelog 2.0.2
  * Fixed #19684: Redirects containing spaces do not work
  * Fixed diverse coding style violations and misc. minor issues
  * Improved source package distribution
  * Added support for Travis CI
- Changelog 2.0.1
  * Fixed Bug #20013: getNormalizedURL() adds leading "@" chars in the Authority
  * Fixed Bug #20016: Wrong data in 6d4f4dd "Package.xml preparation."
  * Fixed Bug #19176: resolve() does not merge the path if the base path is empty
  * Fixed Bug #19315: removeDotSegments("0") not working
* Fri Feb  1 2013 aj@ajaissle.de
- New upstream version 2.0.0
- Changelog 2.0.0
  * Fixed the version of the release. Follow the convention for Package2.
  * Fixed Bug #18917: URL2.php moved to ./Net/Net (davidc)
- Changelog 1.0.0
  * Fixed Bug #17036: Problem with parsed query string
  * Fixed Bug #17087: setOption() function is gone
  * Fixed #17166: Fluent Interface
  * Fixed #17167: Refactor __construct
  * Fixed Bug #18267: setQueryVariables() fails to encode array values
  * Fixed Bug #14399: Fixed multiple bugs in Net_URL2 (Missing setOption value, unused properties, etc.)
* Sat Sep 10 2011 gerrit.beine@gmx.de
- initial version 1.7.12
